Je n'arrive pas a installer AMC sur MACOSX 10.8.2

Added by Ali BY over 7 years ago

Bonjour
Je voudrais installer AMC sur mon mac qui tourne sur OS 10.8.2
- J'ai bien installer une version Xcode 4.6
- Fait les ajouts outils sur XCODE pour avoir PackageMaker
- Télécharger exécuter la version Macports-2.1.3 pour Lion Montain
- et dans le terminal j'ai lancé la commande suivante pour l'installation

sudo port install auto-multiple-choice
la réponse :

Warning: The Command Line Tools for Xcode don't appear to be installed; most ports will likely fail to build.
Warning: See http://guide.macports.org/chunked/installing.xcode.html for more information.
---> Computing dependencies for auto-multiple-choiceError: Unable to execute port: can't read "build.cmd": Failed to locate 'make' in path: '/opt/local/bin:/opt/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin' or at its MacPorts configuration time location, did you move it?

Je ne comprends pas
Est ce que qq un peut m'aider ?
Cordialement
Ali


Replies (2)

RE: Je n'arrive pas a installer AMC sur MACOSX 10.8.2 - Added by Joël Brogniart over 7 years ago

Pour installer les outils de ligne de commande XTool, dans XCode, faire les opérations qui suivent.

- Choisir le menu "XCode > Preferences…".

- Dans la fenêtre des préférences, choisir l'icône "Downloads".

- Dans la zone des téléchargements choisir le panneau "Components".

- Dans la liste des composants, cliquer le bouton "Install" correspondant à la ligne "Command Line Tools".

Malheureusement, cela ne suffira pas à installer la version MacPort d'AMC. Jetez un œil dans le wiki pour trouver quelques informations supplémentaires pour l'installation sous OS X Mountain Lion.

RE: Je n'arrive pas a installer AMC sur MACOSX 10.8.2 - Added by Ali BY over 7 years ago

Merci pour ta réponse

J'ai relancé l'installation
ca a bien fonctionné jusqu'au moment ou j'ai eu ca :

Error: org.macports.build for port p5.12-net-cups returned: command execution failed
Error: Failed to install p5.12-net-cups
Please see the log file for port p5.12-net-cups for details:
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/main.log
Error: The following dependencies were not installed: p5.12-net-cups p5.12-openoffice-oodoc p5.12-xml-twig p5.12-text-csv p5.12-xml-simple p5.12-xml-namespacesupport p5.12-xml-sax p5.12-xml-sax-base p5.12-xml-sax-expat p5.12-xml-writer poppler curl curl-ca-bundle libidn poppler-data texlive-latex-extra texlive-bin ghostscript autoconf help2man m4 automake jbig2dec libpaper xorg-libXt xorg-libsm xorg-libice libzzip t1lib texlive-common xorg-libXaw xorg-libXmu xpm xorg-libXp xorg-printproto texlive-latex-recommended pgf texlive-basic texlive-documentation-base texlive-latex texlive-pictures texlive-xetex texlive-generic-recommended
To report a bug, follow the instructions in the guide:
http://guide.macports.org/#project.tickets
Error: Processing of port auto-multiple-choice failed

p5.12-net-cups n'est pas installé !!!

Le dossier p5.12-net-cups est bien a sa place
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/main.log

J'ouvre le fichier main.log

je trouve une erreur
:info:build #include <cups/image.h>
:info:build ^
:info:build 1 error generated.
que dois-je faire

(1-2/2)